from discord.ext import commands
import random

content = [", was just chosen to be the one.",
           ", has joined!",
           ", looks like someone took the slow train from Philly.",
           ", just bought the house!",
           ", has a new home.",
           ", if in ten years i haven't had a baby and you haven't had a baby?",
           " is hear to play minecraft and get killed by my sword!",
           ", is most definitely a furry.",
           ", did you bring your sword?",
           ", welcome!"]


class Join(commands.Cog):
    def __init__(self, client):
        self.client = client

    @commands.Cog.listener()
    async def on_member_join(self, member):
        if member.guild.id == 605932352736067585:
            if member.id == 234703033924059138:
                await self.client.get_channel(605932352736067589).send(
                    member.mention +
                    ", is most definitely both a furry and a weeb. We should all bully him because he stinks."
                    )
            else:
                await self.client.get_channel(605932352736067589).send(member.mention +
                                                                       random.choice(content) + "[Join]")
            await member.add_roles(self.client.get_guild(605932352736067585).get_role(605934866676056070))


def setup(client):
    client.add_cog(Join(client))
